## Class Swift_Mime_SimpleMessage

(line 23)

## Description

    Swift_Mime_SimpleMimeEntity
       |
       --Swift_Mime_MimePart
          |
          --Swift_Mime_SimpleMessage

Located in File: /vendors/swiftMailer/classes/Swift/Mime/SimpleMessage.php

##### The default email message class.

- author: - Chris Corbyn

Classes extended from Swift_Mime_SimpleMessage:

Swift_Message
  The Message class for building emails.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_SimpleMessage __construct (Swift_Mime_HeaderSet $headers, Swift_Mime_ContentEncoder $encoder, Swift_KeyCache $cache, [string $charset = null])
void addBcc (string $address, [string $name = null])
void addCc (string $address, [string $name = null])
void addFrom (string $address, [string $name = null])
void addReplyTo (string $address, [string $name = null])
void addTo (string $address, [string $name = null])
void attach (Swift_Mime_MimeEntity $entity)
void detach (Swift_Mime_MimeEntity $entity)
string embed (Swift_Mime_MimeEntity $entity)
array getBcc ()
array getCc ()
int getDate ()
string getFrom ()
int getNestingLevel ()
int getPriority ()
string getReadReceiptTo ()
string getReplyTo ()
string getReturnPath ()
string getSender ()
string getSubject ()
array getTo ()
void setBcc (array $addresses, [string $name = null])
void setCc (array $addresses, [string $name = null])
void setDate (int $date)
void setFrom (string $addresses, [string $name = null])
void setPriority (int $priority)
void setReadReceiptTo (array $addresses)
void setReplyTo (string $addresses, [string $name = null])
void setReturnPath (string $address)
void setSender ( $address, [string $name = null], string $sender)
void setSubject (string $subject)
void setTo (array $addresses, [string $name = null])
void toByteStream (Swift_InputByteStream $is)
string toString ()
void _getIdField ()
string __toString ()

#### Constructor __construct (line 34)

#### Swift_Mime_SimpleMessage __construct( Swift_Mime_HeaderSet $headers, Swift_Mime_ContentEncoder $encoder, Swift_KeyCache $cache, [string $charset = null])

Overridden in child classes as:

Swift_Message::__construct()
  Create a new Message.

Overrides : Swift_Mime_MimePart::__construct() Create a new MimePart with $headers, $encoder and $cache.

##### Create a new SimpleMessage with $headers, $encoder and $cache.

#### Parameters

- Swift_Mime_HeaderSet $headers:
- Swift_Mime_ContentEncoder $encoder:
- Swift_KeyCache $cache:
- string $charset:

#### Info

- access - public

#### Method addBcc (line 372)

#### void addBcc( string $address, [string $name = null])

##### Add a Bcc: address to this message.

If $name is passed this name will be associated with the address.

#### Parameters

- string $address:
- string $name: optional

#### Info

- access - public

#### Method addCc (line 324)

#### void addCc( string $address, [string $name = null])

##### Add a Cc: address to this message.

If $name is passed this name will be associated with the address.

#### Parameters

- string $address:
- string $name: optional

#### Info

- access - public

#### Method addFrom (line 174)

#### void addFrom( string $address, [string $name = null])

##### Add a From: address to this message.

If $name is passed this name will be associated with the address.

#### Parameters

- string $address:
- string $name: optional

#### Info

- access - public

#### Method addReplyTo (line 224)

#### void addReplyTo( string $address, [string $name = null])

##### Add a Reply-To: address to this message.

If $name is passed this name will be associated with the address.

#### Parameters

- string $address:
- string $name: optional

#### Info

- access - public

#### Method addTo (line 274)

#### void addTo( string $address, [string $name = null])

##### Add a To: address to this message.

If $name is passed this name will be associated with the address.

#### Parameters

- string $address:
- string $name: optional

#### Info

- access - public

#### Method attach (line 485)

#### void attach( Swift_Mime_MimeEntity $entity)

##### Attach a Swift_Mime_MimeEntity such as an Attachment or MimePart.

#### Parameters

- Swift_Mime_MimeEntity $entity:

#### Info

- access - public

#### Method detach (line 495)

#### void detach( Swift_Mime_MimeEntity $entity)

##### Remove an already attached entity.

#### Parameters

- Swift_Mime_MimeEntity $entity:

#### Info

- access - public

#### Method embed (line 515)

#### string embed( Swift_Mime_MimeEntity $entity)

##### Attach a Swift_Mime_MimeEntity and return it's CID source.

This method should be used when embedding images or other data in a message.

#### Parameters

- Swift_Mime_MimeEntity $entity:

#### Info

- access - public

#### Method getBcc (line 407)

#### array getBcc( )

Implementation of:

Swift_Mime_Message::getBcc()
  Get the Bcc addresses for this message.

##### Get the Bcc addresses of this message.

#### Info

- access - public

#### Method getCc (line 359)

#### array getCc( )

Implementation of:

Swift_Mime_Message::getCc()
  Get the Cc addresses for this message.

##### Get the Cc address of this message.

#### Info

- access - public

#### Method getDate (line 110)

#### int getDate( )

Implementation of:

Swift_Mime_Message::getDate()
  Get the origination date of the message as a UNIX timestamp.

##### Get the date at which this message was created.

#### Info

- access - public

#### Method getFrom (line 211)

#### string getFrom( )

Implementation of:

Swift_Mime_Message::getFrom()
  Get the From address(es) of this message.

##### Get the from address of this message.

#### Info

- access - public

#### Method getNestingLevel (line 66)

#### int getNestingLevel( )

Overrides : Swift_Mime_MimePart::getNestingLevel() Get the nesting level of this entity.

Implementation of:

Swift_Mime_MimeEntity::getNestingLevel()
  Get the level at which this entity shall be nested in final document.

##### Always returns LEVEL_TOP for a message instance.

#### Info

- access - public

#### Method getPriority (line 450)

#### int getPriority( )

##### Get the priority of this message.

The returned value is an integer where 1 is the highest priority and 5 is the lowest.

#### Info

- access - public

#### Method getReadReceiptTo (line 476)

#### string getReadReceiptTo( )

##### Get the addresses to which a read-receipt will be sent.

#### Info

- access - public

#### Method getReplyTo (line 261)

#### string getReplyTo( )

Implementation of:

Swift_Mime_Message::getReplyTo()
  Get the Reply-To addresses for this message.

##### Get the reply-to address of this message.

#### Info

- access - public

#### Method getReturnPath (line 132)

#### string getReturnPath( )

Implementation of:

Swift_Mime_Message::getReturnPath()
  Get the return-path (bounce-detect) address.

##### Get the return-path (bounce address) of this message.

#### Info

- access - public

#### Method getSender (line 161)

#### string getSender( )

Implementation of:

Swift_Mime_Message::getSender()
  Get the sender address for this message.

##### Get the sender of this message.

#### Info

- access - public

#### Method getSubject (line 88)

#### string getSubject( )

Implementation of:

Swift_Mime_Message::getSubject()
  Get the subject of the message.

##### Get the subject of this message.

#### Info

- access - public

#### Method getTo (line 311)

#### array getTo( )

Implementation of:

Swift_Mime_Message::getTo()
  Get the To addresses for this message.

##### Get the To addresses of this message.

#### Info

- access - public

#### Method setBcc (line 388)

#### void setBcc( array $addresses, [string $name = null])

Implementation of:

Swift_Mime_Message::setBcc()
  Set the Bcc address(es).

##### Set the Bcc addresses of this message.

If $name is passed and the first parameter is a string, this name will be associated with the address.

#### Parameters

- array $addresses:
- string $name: optional

#### Info

- access - public

#### Method setCc (line 340)

#### void setCc( array $addresses, [string $name = null])

Implementation of:

Swift_Mime_Message::setCc()
  Set the Cc address(es).

##### Set the Cc addresses of this message.

If $name is passed and the first parameter is a string, this name will be associated with the address.

#### Parameters

- array $addresses:
- string $name: optional

#### Info

- access - public

#### Method setDate (line 97)

#### void setDate( int $date)

Implementation of:

Swift_Mime_Message::setDate()
  Set the origination date of the message as a UNIX timestamp.

##### Set the date at which this message was created.

#### Parameters

- int $date:

#### Info

- access - public

#### Method setFrom (line 192)

#### void setFrom( string $addresses, [string $name = null])

Implementation of:

Swift_Mime_Message::setFrom()
  Set the From address of this message.

##### Set the from address of this message.

You may pass an array of addresses if this message is from multiple people.

If $name is passed and the first parameter is a string, this name will be associated with the address.

#### Parameters

- string $addresses:
- string $name: optional

#### Info

- access - public

#### Method setPriority (line 417)

#### void setPriority( int $priority)

##### Set the priority of this message.

The value is an integer where 1 is the highest priority and 5 is the lowest.

#### Parameters

- int $priority:

#### Info

- access - public

#### Method setReadReceiptTo (line 462)

#### void setReadReceiptTo( array $addresses)

##### Ask for a delivery receipt from the recipient to be sent to $addresses

#### Parameters

- array $addresses:

#### Info

- access - public

#### Method setReplyTo (line 242)

#### void setReplyTo( string $addresses, [string $name = null])

Implementation of:

Swift_Mime_Message::setReplyTo()
  Set the Reply-To address(es).

##### Set the reply-to address of this message.

You may pass an array of addresses if replies will go to multiple people.

If $name is passed and the first parameter is a string, this name will be associated with the address.

#### Parameters

- string $addresses:
- string $name: optional

#### Info

- access - public

#### Method setReturnPath (line 119)

#### void setReturnPath( string $address)

Implementation of:

Swift_Mime_Message::setReturnPath()
  Set the return-path (bounce-detect) address.

##### Set the return-path (the bounce address) of this message.

#### Parameters

- string $address:

#### Info

- access - public

#### Method setSender (line 143)

#### void setSender( $address, [string $name = null], string $sender)

Implementation of:

Swift_Mime_Message::setSender()
  Set the sender of this message.

##### Set the sender of this message.

This does not override the From field, but it has a higher significance.

#### Parameters

- string $sender:
- string $name: optional
- $address:

#### Info

- access - public

#### Method setSubject (line 75)

#### void setSubject( string $subject)

Implementation of:

Swift_Mime_Message::setSubject()
  Set the subject of the message.

##### Set the subject of this message.

#### Parameters

- string $subject:

#### Info

- access - public

#### Method setTo (line 292)

#### void setTo( array $addresses, [string $name = null])

Implementation of:

Swift_Mime_Message::setTo()
  Set the To address(es).

##### Set the to addresses of this message.

If multiple recipients will receive the message and array should be used.

If $name is passed and the first parameter is a string, this name will be associated with the address.

#### Parameters

- array $addresses:
- string $name: optional

#### Info

- access - public

#### Method toByteStream (line 556)

#### void toByteStream( Swift_InputByteStream $is)

Overrides : Swift_Mime_SimpleMimeEntity::toByteStream() Write this entire entity to a Swift_InputByteStream.

Implementation of:

Swift_Mime_MimeEntity::toByteStream()
  Get this entire entity as a ByteStream.

##### Write this message to a Swift_InputByteStream.

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method toString (line 525)

#### string toString( )

Overrides : Swift_Mime_SimpleMimeEntity::toString() Get this entire entity as a string.

Implementation of:

Swift_Mime_MimeEntity::toString()
  Get this entire entity in its string form.

##### Get this message as a complete string.

#### Info

- access - public

#### Method _getIdField (line 573)

#### void _getIdField( )

Overrides : Swift_Mime_SimpleMimeEntity::_getIdField() Get the name of the header that provides the ID of this entity

#### Info

- see - Swift_Mime_SimpleMimeEntity::_getIdField()
- access - protected

#### Method __toString (line 547)

#### string __toString( )

Overrides : Swift_Mime_SimpleMimeEntity::__toString() Returns a string representation of this object.

##### Returns a string representation of this object.

#### Info

- see - Swift_Mime_SimpleMessage::toString()
- access - public

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Swift_Mime_MimePart

#### Swift_Mime_MimePart::$_userCharset - The charset last specified by the user

#### Swift_Mime_MimePart::$_userDelSp - The delsp parameter last specified by the user

#### Swift_Mime_MimePart::$_userFormat - The format parameter last specified by the user

#### Inherited From Class Swift_Mime_SimpleMimeEntity

#### Swift_Mime_SimpleMimeEntity::$_userContentType -

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_MimePart

#### Swift_Mime_MimePart::__construct() - Create a new MimePart with $headers, $encoder and $cache.

#### Swift_Mime_MimePart::charsetChanged() - Receive notification that the charset has changed on this document, or a parent document.

#### Swift_Mime_MimePart::getCharset() - Get the character set of this entity.

#### Swift_Mime_MimePart::getDelSp() - Test if delsp is being used for this entity.

#### Swift_Mime_MimePart::getFormat() - Get the format of this entity (i.e. flowed or fixed).

#### Swift_Mime_MimePart::getNestingLevel() - Get the nesting level of this entity.

#### Swift_Mime_MimePart::setBody() - Set the body of this entity, either as a string, or as an instance of Swift_OutputByteStream.

#### Swift_Mime_MimePart::setCharset() - Set the character set of this entity.

#### Swift_Mime_MimePart::setDelSp() - Turn delsp on or off for this entity.

#### Swift_Mime_MimePart::setFormat() - Set the format of this entity (flowed or fixed).

#### Swift_Mime_MimePart::_fixHeaders() - Fix the content-type and encoding of this entity

#### Swift_Mime_MimePart::_setNestingLevel() - Set the nesting level of this entity

#### Inherited From Class Swift_Mime_SimpleMimeEntity

#### Swift_Mime_SimpleMimeEntity::__construct() - Create a new SimpleMimeEntity with $headers, $encoder and $cache.

#### Swift_Mime_SimpleMimeEntity::charsetChanged() - Receive notification that the charset of this entity, or a parent entity has changed.

#### Swift_Mime_SimpleMimeEntity::encoderChanged() - Receive notification that the encoder of this entity or a parent entity has changed.

#### Swift_Mime_SimpleMimeEntity::generateId() - Generate a new Content-ID or Message-ID for this MIME entity.

#### Swift_Mime_SimpleMimeEntity::getBody() - Get the body of this entity as a string.

#### Swift_Mime_SimpleMimeEntity::getBoundary() - Get the boundary used to separate children in this entity.

#### Swift_Mime_SimpleMimeEntity::getChildren() - Get all children added to this entity.

#### Swift_Mime_SimpleMimeEntity::getContentType() - Get the Content-type of this entity.

#### Swift_Mime_SimpleMimeEntity::getDescription() - Get the description of this entity.

#### Swift_Mime_SimpleMimeEntity::getEncoder() - Get the encoder used for the body of this entity.

#### Swift_Mime_SimpleMimeEntity::getHeaders() - Get the Swift_Mime_HeaderSet for this entity.

#### Swift_Mime_SimpleMimeEntity::getId() - Get the CID of this entity.

#### Swift_Mime_SimpleMimeEntity::getMaxLineLength() - Get the maximum line length of the body of this entity.

#### Swift_Mime_SimpleMimeEntity::getNestingLevel() - Get the nesting level of this entity.

#### Swift_Mime_SimpleMimeEntity::setBody() - Set the body of this entity, either as a string, or as an instance of Swift_OutputByteStream.

#### Swift_Mime_SimpleMimeEntity::setBoundary() - Set the boundary used to separate children in this entity.

#### Swift_Mime_SimpleMimeEntity::setChildren() - Set all children of this entity.

#### Swift_Mime_SimpleMimeEntity::setContentType() - Set the Content-type of this entity.

#### Swift_Mime_SimpleMimeEntity::setDescription() - Set the description of this entity.

#### Swift_Mime_SimpleMimeEntity::setEncoder() - Set the encoder used for the body of this entity.

#### Swift_Mime_SimpleMimeEntity::setId() - Set the CID of this entity.

#### Swift_Mime_SimpleMimeEntity::setMaxLineLength() - Set the maximum line length of lines in this body.

#### Swift_Mime_SimpleMimeEntity::toByteStream() - Write this entire entity to a Swift_InputByteStream.

#### Swift_Mime_SimpleMimeEntity::toString() - Get this entire entity as a string.

#### Swift_Mime_SimpleMimeEntity::_clearCache() - Empty the KeyCache for this entity.

#### Swift_Mime_SimpleMimeEntity::_fixHeaders() - Re-evaluate what content type and encoding should be used on this entity.

#### Swift_Mime_SimpleMimeEntity::_getCache() - Get the KeyCache used in this entity.

#### Swift_Mime_SimpleMimeEntity::_getHeaderFieldModel() - Get the model data (usually an array or a string) for $field.

#### Swift_Mime_SimpleMimeEntity::_getHeaderParameter() - Get the parameter value of $parameter on $field header.

#### Swift_Mime_SimpleMimeEntity::_getIdField() - Get the name of the header that provides the ID of this entity

#### Swift_Mime_SimpleMimeEntity::_setHeaderFieldModel() - Set the model data for $field.

#### Swift_Mime_SimpleMimeEntity::_setHeaderParameter() - Set the parameter value of $parameter on $field header.

#### Swift_Mime_SimpleMimeEntity::__destruct() - Empties it's own contents from the cache.

#### Swift_Mime_SimpleMimeEntity::__toString() - Returns a string representation of this object.

Documentation generated on Fri, 12 Nov 2010 20:45:29 +0000 by phpDocumentor 1.4.3